Batch upsert work assignments
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/work_assignments/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "<id>",
"title": "Senior Engineer",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": [
"<id>"
],
"value": 100
}
]
}
},
{
"employee_id": "<id>",
"pay_schedule_id": "<id>",
"title": "Engineer",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": [
"<id>"
],
"value": 100
}
]
}
}
]
'import requests
url = "https://sandbox.nmbr.co/services/payroll/work_assignments/batch/upsert"
payload = [
{
"id": "<id>",
"title": "Senior Engineer",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": ["<id>"],
"value": 100
}
]
}
},
{
"employee_id": "<id>",
"pay_schedule_id": "<id>",
"title": "Engineer",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": ["<id>"],
"value": 100
}
]
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: '<id>',
title: 'Senior Engineer',
tag_assignment: {unit: 'percentage', tag_allocations: [{tags: ['<id>'], value: 100}]}
},
{
employee_id: '<id>',
pay_schedule_id: '<id>',
title: 'Engineer',
tag_assignment: {unit: 'percentage', tag_allocations: [{tags: ['<id>'], value: 100}]}
}
])
};
fetch('https://sandbox.nmbr.co/services/payroll/work_assignments/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Batch Operations
Batch upsert work assignments
POST
/
work_assignments
/
batch
/
upsert
Batch upsert work assignments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
1 - 100 elementsResponse
202
Accepted
⌘I

